const { Client } = require('pg');

const dbConfig = {
    user: process.env.POSTGRES_USER || 'e2ee',
    password: process.env.POSTGRES_PASSWORD,
    host: process.env.POSTGRES_HOST || '127.0.0.1',
    port: process.env.POSTGRES_PORT || '5432',
    database: process.env.POSTGRES_DB || 'e2ee',
};

const client = new Client(dbConfig);

const database = {
  init: () => {
    client.connect().then(() => {
        let querryString = `
        CREATE table user (
        uuid integer primary key,
        pubkey text
        );
        `
        client.query(querryString, (err, _) => {
            if (err) {
                console.error('Error executing query', err);
            }
            client.end().then(() => {}).catch((err) => {
                console.error('Error closing connection', err);
            });
        });
    }).catch((err) => {
        console.error('Error connecting to database ', err);
    });
  }
};

module.exports = database;
